%global pypi_name jaraco.packaging
%global pkg_name jaraco-packaging

%bcond_with docs 

Summary:        Tools to supplement packaging Python releases
Name:           python-%{pkg_name}
Version:        10.2.2
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.packaging
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel

BuildArch:      noarch

%description
This package provides tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. 

%package -n python3-jaraco
Summary: A Parent package for jaraco's parent dir and init file.

%description -n python3-jaraco
This package provides a Parent package for jaraco's parent dir and init file.

%package -n python3-%{pkg_name}
Summary:        %{summary}

%description -n python3-%{pkg_name}
This package provides tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. 


%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco.packaging documentation

BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst-linker)

%description -n python-%{pkg_name}-doc
Documentation for jaraco.packaging
%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=./ sphinx-build docs html

rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%files -n python3-jaraco
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco
%exclude %{python3_sitelib}/jaraco/packaging

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/packaging
%{python3_sitelib}/jaraco.packaging-%{version}.dist-info

%if %{with docs}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html 
%endif

%changelog
* Thu Jul 18 2024 Upgrade Robot <upbot@opencloudos.tech> - 10.2.2-1
- Upgrade to version 10.2.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 9.0.0-1
- package init.
